Bug 2175791 - gnome-terminal crashed while dnf should install a package
Summary: gnome-terminal crashed while dnf should install a package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-06 14:52 UTC by customercare
Modified: 2024-05-21 14:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:29:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description customercare 2023-03-06 14:52:08 UTC
Description of problem:

Crash in libcairo inside gnome-terminal, which happend after:

sudo su
- entering pwd -
dnf install pavucontrol
- answering the "really question" => crash

It was not reproduceable in a second run.

Version-Release number of selected component (if applicable):


gnome-terminal-3.46.8-1.fc38.x86_64
gnome-terminal-nautilus-3.46.8-1.fc38.x86_64
cairo-1.17.8-1.fc38.x86_64
cairo-gobject-1.17.8-1.fc38.x86_64
cairomm-1.14.4-7.fc38.x86_64

LOGS:


Mär 06 15:42:11 fedora audit: BPF prog-id=85 op=UNLOAD
Mär 06 15:42:31 fedora kernel: show_signal_msg: 46 callbacks suppressed
Mär 06 15:42:31 fedora kernel: gnome-terminal-[3843]: segfault at 1c ip 00007ff75fc3cb5c sp 00007fff7d6c85f0 error 4 in libcairo.so.2.11708.0[7ff75fbf6000+ea000] likely on CPU 1 (core 1, socket 0)
Mär 06 15:42:31 fedora kernel: Code: 1e fa 55 48 89 e5 41 57 41 56 41 55 41 54 53 48 81 ec 78 01 00 00 48 89 b5 c8 fe ff ff 64 48 8b 04 25 28 00 00 00 48 89 45 c8 <8b> 47 1c 89 85 ac fe ff ff 85 c0 0f 85 e6 02 00 00 48 8b 76 10 8b
Mär 06 15:42:31 fedora audit[3843]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=3843 comm="gnome-terminal-" exe="/usr/libexec/gnome-terminal-server" sig=11 res=1
Mär 06 15:42:31 fedora systemd[1]: Created slice system-systemd\x2dcoredump.slice - Slice /system/systemd-coredump.
Mär 06 15:42:31 fedora audit: BPF prog-id=86 op=LOAD
Mär 06 15:42:31 fedora audit: BPF prog-id=87 op=LOAD
Mär 06 15:42:31 fedora audit: BPF prog-id=88 op=LOAD
Mär 06 15:42:31 fedora systemd[1]: Started systemd-coredump - Process Core Dump (PID 4316/UID 0).
Mär 06 15:42:31 fedora audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-4316-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res>
Mär 06 15:42:32 fedora systemd-coredump[4317]: [🡕] Process 3843 (gnome-terminal-) of user 1000 dumped core.
                                                
                                                Module libibus-1.0.so.5 from rpm ibus-1.5.28-1.fc38.x86_64
                                                Module im-ibus.so from rpm ibus-1.5.28-1.fc38.x86_64
                                                Module librsvg-2.so.2 from rpm librsvg2-2.55.1-5.fc38.x86_64
                                                Module libpixbufloader-svg.so from rpm librsvg2-2.55.1-5.fc38.x86_64
                                                Module libdconfsettings.so from rpm dconf-0.40.0-8.fc38.x86_64
                                                Module libpk-gtk-module.so from rpm PackageKit-1.2.6-6.fc38.x86_64
                                                Module libogg.so.0 from rpm libogg-1.3.5-5.fc38.x86_64
                                                Module libvorbis.so.0 from rpm libvorbis-1.3.7-7.fc38.x86_64
                                                Module libltdl.so.7 from rpm libtool-2.4.7-6.fc38.x86_64
                                                Module libtdb.so.1 from rpm libtdb-1.4.8-1.fc38.x86_64
                                                Module libvorbisfile.so.3 from rpm libvorbis-1.3.7-7.fc38.x86_64
                                                Module libgthread-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libgvfscommon.so from rpm gvfs-1.50.3-2.fc38.x86_64
                                                Module libgvfsdbus.so from rpm gvfs-1.50.3-2.fc38.x86_64
                                                Module libbrotlicommon.so.1 from rpm brotli-1.0.9-11.fc38.x86_64
                                                Module libbrotlidec.so.1 from rpm brotli-1.0.9-11.fc38.x86_64
                                                Module libbz2.so.1 from rpm bzip2-1.0.8-13.fc38.x86_64
                                                Module libXau.so.6 from rpm libXau-1.0.11-2.fc38.x86_64
                                                Module liblz4.so.1 from rpm lz4-1.9.4-2.fc38.x86_64
                                                Module libzstd.so.1 from rpm zstd-1.5.4-1.fc38.x86_64
                                                Module liblzma.so.5 from rpm xz-5.4.1-1.fc38.x86_64
                                                Module libcap.so.2 from rpm libcap-2.48-6.fc38.x86_64
                                                Module libicudata.so.72 from rpm icu-72.1-2.fc38.x86_64
                                                Module libgmp.so.10 from rpm gmp-6.2.1-4.fc38.x86_64
                                                Module libhogweed.so.6 from rpm nettle-3.8-3.fc38.x86_64
                                                Module libnettle.so.8 from rpm nettle-3.8-3.fc38.x86_64
                                                Module libtasn1.so.6 from rpm libtasn1-4.19.0-2.fc38.x86_64
                                                Module libidn2.so.0 from rpm libidn2-2.3.4-2.fc38.x86_64
                                                Module libp11-kit.so.0 from rpm p11-kit-0.24.1-6.fc38.x86_64
                                                Module libdatrie.so.1 from rpm libdatrie-0.2.13-5.fc38.x86_64
                                                Module libjson-glib-1.0.so.0 from rpm json-glib-1.6.6-4.fc38.x86_64
                                                Module libicui18n.so.72 from rpm icu-72.1-2.fc38.x86_64
                                                Module libstemmer.so.0 from rpm snowball-2.2.0-5.fc38.x86_64
                                                Module libdbus-1.so.3 from rpm dbus-1.14.6-1.fc38.x86_64
                                                Module libatspi.so.0 from rpm at-spi2-core-2.47.1-2.fc38.x86_64
                                                Module libjpeg.so.62 from rpm libjpeg-turbo-2.1.4-2.fc38.x86_64
                                                Module libxml2.so.2 from rpm libxml2-2.10.3-3.fc38.x86_64
                                                Module libpixman-1.so.0 from rpm pixman-0.40.0-7.fc38.x86_64
                                                Module libxcb-shm.so.0 from rpm libxcb-1.13.1-11.fc38.x86_64
                                                Module libxcb-render.so.0 from rpm libxcb-1.13.1-11.fc38.x86_64
                                                Module libXrender.so.1 from rpm libXrender-0.9.11-2.fc38.x86_64
                                                Module libpng16.so.16 from rpm libpng-1.6.37-14.fc38.x86_64
                                                Module libgraphite2.so.3 from rpm graphite2-1.3.14-11.fc38.x86_64
                                                Module libfreetype.so.6 from rpm freetype-2.12.1-4.fc38.x86_64
                                                Module libblkid.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                                                Module libxcb.so.1 from rpm libxcb-1.13.1-11.fc38.x86_64
                                                Module libsystemd.so.0 from rpm systemd-253-1.fc38.x86_64
                                                Module libicuuc.so.72 from rpm icu-72.1-2.fc38.x86_64
                                                Module libgnutls.so.30 from rpm gnutls-3.7.8-11.fc38.x86_64
                                                Module libthai.so.0 from rpm libthai-0.1.29-4.fc38.x86_64
                                                Module libXinerama.so.1 from rpm libXinerama-1.1.5-2.fc38.x86_64
                                                Module libXrandr.so.2 from rpm libXrandr-1.5.2-10.fc38.x86_64
                                                Module libXcomposite.so.1 from rpm libXcomposite-0.4.5-9.fc38.x86_64
                                                Module libXdamage.so.1 from rpm libXdamage-1.1.5-9.fc38.x86_64
                                                Module libXcursor.so.1 from rpm libXcursor-1.2.1-3.fc38.x86_64
                                                Module libXext.so.6 from rpm libXext-1.3.5-2.fc38.x86_64
                                                Module libwayland-egl.so.1 from rpm wayland-1.21.0-2.fc38.x86_64
                                                Module libwayland-cursor.so.0 from rpm wayland-1.21.0-2.fc38.x86_64
                                                Module libxkbcommon.so.0 from rpm libxkbcommon-1.5.0-2.fc38.x86_64
                                                Module libXfixes.so.3 from rpm libXfixes-6.0.0-5.fc38.x86_64
                                                Module libwayland-client.so.0 from rpm wayland-1.21.0-2.fc38.x86_64
                                                Module libtracker-sparql-3.0.so.0 from rpm tracker-3.5.0~beta-1.fc38.x86_64
                                                Module libcloudproviders.so.0 from rpm libcloudproviders-0.3.1-7.fc38.x86_64
                                                Module libatk-bridge-2.0.so.0 from rpm at-spi2-core-2.47.1-2.fc38.x86_64
                                                Module libXi.so.6 from rpm libXi-1.8-4.fc38.x86_64
                                                Module libepoxy.so.0 from rpm libepoxy-1.5.10-3.fc38.x86_64
                                                Module libatk-1.0.so.0 from rpm at-spi2-core-2.47.1-2.fc38.x86_64
                                                Module libgdk_pixbuf-2.0.so.0 from rpm gdk-pixbuf2-2.42.10-2.fc38.x86_64
                                                Module libcairo-gobject.so.2 from rpm cairo-1.17.8-1.fc38.x86_64
                                                Module libfribidi.so.0 from rpm fribidi-1.0.12-3.fc38.x86_64
                                                Module libfontconfig.so.1 from rpm fontconfig-2.14.2-1.fc38.x86_64
                                                Module libpangoft2-1.0.so.0 from rpm pango-1.50.13-1.fc38.x86_64
                                                Module libcairo.so.2 from rpm cairo-1.17.8-1.fc38.x86_64
                                                Module libharfbuzz.so.0 from rpm harfbuzz-7.0.0-2.fc38.x86_64
                                                Module libpangocairo-1.0.so.0 from rpm pango-1.50.13-1.fc38.x86_64
                                                Module libpcre2-8.so.0 from rpm pcre2-10.42-1.fc38.1.x86_64
                                                Module libffi.so.8 from rpm libffi-3.4.4-2.fc38.x86_64
                                                Module libselinux.so.1 from rpm libselinux-3.5-0.rc3.1.fc38.x86_64
                                                Module libmount.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                                                Module libz.so.1 from rpm zlib-1.2.13-3.fc38.x86_64
                                                Module libgmodule-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libX11.so.6 from rpm libX11-1.8.4-1.fc38.x86_64
                                                Module libvte-2.91.so.0 from rpm vte291-0.71.92-1.fc38.x86_64
                                                Module libuuid.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                                                Module libpango-1.0.so.0 from rpm pango-1.50.13-1.fc38.x86_64
                                                Module libgdk-3.so.0 from rpm gtk3-3.24.36-3.fc38.x86_64
                                                Module libgtk-3.so.0 from rpm gtk3-3.24.36-3.fc38.x86_64
                                                Module libglib-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libgobject-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libgio-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module gnome-terminal-server from rpm gnome-terminal-3.46.8-1.fc38.x86_64
                                                Stack trace of thread 3843:
                                                #0  0x00007ff75fc3cb5c _cairo_recording_surface_replay_internal.lto_priv.0 (libcairo.so.2 + 0x59b5c)
                                                #1  0x00007ff75fc8af65 _cairo_ft_scaled_glyph_init.lto_priv.0 (libcairo.so.2 + 0xa7f65)
                                                #2  0x00007ff75fc46ff7 _cairo_scaled_glyph_lookup (libcairo.so.2 + 0x63ff7)
                                                #3  0x00007ff75fc52f69 composite_color_glyphs (libcairo.so.2 + 0x6ff69)
                                                #4  0x00007ff75fc54fb9 _cairo_surface_show_text_glyphs (libcairo.so.2 + 0x71fb9)
                                                #5  0x00007ff75fc0ed6a _cairo_gstate_show_text_glyphs (libcairo.so.2 + 0x2bd6a)
                                                #6  0x00007ff75fc632fe cairo_show_glyphs (libcairo.so.2 + 0x802fe)
                                                #7  0x00007ff760e661bd _ZN3vte4view14DrawingContext18draw_text_internalEPNS1_11TextRequestEmjPKNS_5color3rgbEd.constprop.0 (libvte-2.91.so.0 + 0x591bd)
                                                #8  0x00007ff760e43759 _ZN3vte8terminal8Terminal10draw_cellsEPNS_4view14DrawingContext11TextRequestEljjjbbjbbii (libvte-2.91.so.0 + 0x36759)
                                                #9  0x00007ff760e749de _ZN3vte8terminal8Terminal9draw_rowsEP9VteScreenPK13_cairo_regionlliii.isra.0 (libvte-2.91.so.0 + 0x679de)
                                                #10 0x00007ff760e48ed7 _ZL17vte_terminal_drawP10_GtkWidgetP6_cairo.lto_priv.0 (libvte-2.91.so.0 + 0x3bed7)
                                                #11 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #12 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #13 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #14 0x00007ff7606c7e3a gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0xc7e3a)
                                                #15 0x00007ff7607310a8 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x1310a8)
                                                #16 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #17 0x00007ff7606d0841 gtk_box_draw (libgtk-3.so.0 + 0xd0841)
                                                #18 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #19 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #20 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #21 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #22 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #23 0x00007ff760844da1 gtk_notebook_draw_stack (libgtk-3.so.0 + 0x244da1)
                                                #24 0x00007ff7607310a8 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x1310a8)
                                                #25 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #26 0x00007ff7606d919c gtk_box_gadget_draw (libgtk-3.so.0 + 0xd919c)
                                                #27 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #28 0x00007ff760843e2c gtk_notebook_draw (libgtk-3.so.0 + 0x243e2c)
                                                #29 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #30 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #31 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #32 0x00007ff7606c7e3a gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0xc7e3a)
                                                #33 0x00007ff7607310a8 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x1310a8)
                                                #34 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #35 0x00007ff7606d0841 gtk_box_draw (libgtk-3.so.0 + 0xd0841)
                                                #36 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #37 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #38 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #39 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #40 0x00007ff76099422f gtk_widget_render (libgtk-3.so.0 + 0x39422f)
                                                #41 0x00007ff76081a73a gtk_main_do_event (libgtk-3.so.0 + 0x21a73a)
                                                #42 0x00007ff76053dd17 _gdk_event_emit (libgdk-3.so.0 + 0x43d17)
                                                #43 0x00007ff760545bc9 _gdk_window_process_updates_recurse_helper.lto_priv.0 (libgdk-3.so.0 + 0x4bbc9)
                                                #44 0x00007ff76054a501 gdk_window_process_updates_internal (libgdk-3.so.0 + 0x50501)
                                                #45 0x00007ff76054a6fd gdk_window_process_updates_with_mode.lto_priv.0 (libgdk-3.so.0 + 0x506fd)
                                                #46 0x00007ff76108ad18 g_signal_emit_valist (libgobject-2.0.so.0 + 0x32d18)
                                                #47 0x00007ff76108ae03 g_signal_emit (libgobject-2.0.so.0 + 0x32e03)
                                                #48 0x00007ff760541828 gdk_frame_clock_paint_idle (libgdk-3.so.0 + 0x47828)
                                                #49 0x00007ff76052d52d gdk_threads_dispatch (libgdk-3.so.0 + 0x3352d)
                                                #50 0x00007ff760f6b079 g_timeout_dispatch (libglib-2.0.so.0 + 0x5d079)
                                                #51 0x00007ff760f6a7f8 g_main_context_dispatch (libglib-2.0.so.0 + 0x5c7f8)
                                                #52 0x00007ff760fc8f38 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaf38)
                                                #53 0x00007ff760f68183 g_main_context_iteration (libglib-2.0.so.0 + 0x5a183)
                                                #54 0x00007ff7611a030d g_application_run (libgio-2.0.so.0 + 0xe830d)
                                                #55 0x0000558b56866d67 main (gnome-terminal-server + 0x1ad67)
                                                #56 0x00007ff75fe48b4a __libc_start_call_main (libc.so.6 + 0x27b4a)
                                                #57 0x00007ff75fe48c0b __libc_start_main@@GLIBC_2.34 (libc.so.6 + 0x27c0b)
                                                #58 0x0000558b56866f05 _start (gnome-terminal-server + 0x1af05)
                                                
                                                Stack trace of thread 3892:
                                                #0  0x00007ff75ff2652d __poll (libc.so.6 + 0x10552d)
                                                #1  0x00007ff760fc8ea9 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaea9)
                                                Module libicuuc.so.72 from rpm icu-72.1-2.fc38.x86_64
                                                Module libgnutls.so.30 from rpm gnutls-3.7.8-11.fc38.x86_64
                                                Module libthai.so.0 from rpm libthai-0.1.29-4.fc38.x86_64
                                                Module libXinerama.so.1 from rpm libXinerama-1.1.5-2.fc38.x86_64
                                                Module libXrandr.so.2 from rpm libXrandr-1.5.2-10.fc38.x86_64
                                                Module libXcomposite.so.1 from rpm libXcomposite-0.4.5-9.fc38.x86_64
                                                Module libXdamage.so.1 from rpm libXdamage-1.1.5-9.fc38.x86_64
                                                Module libXcursor.so.1 from rpm libXcursor-1.2.1-3.fc38.x86_64
                                                Module libXext.so.6 from rpm libXext-1.3.5-2.fc38.x86_64
                                                Module libwayland-egl.so.1 from rpm wayland-1.21.0-2.fc38.x86_64
                                                Module libwayland-cursor.so.0 from rpm wayland-1.21.0-2.fc38.x86_64
                                                Module libxkbcommon.so.0 from rpm libxkbcommon-1.5.0-2.fc38.x86_64
                                                Module libXfixes.so.3 from rpm libXfixes-6.0.0-5.fc38.x86_64
                                                Module libwayland-client.so.0 from rpm wayland-1.21.0-2.fc38.x86_64
                                                Module libtracker-sparql-3.0.so.0 from rpm tracker-3.5.0~beta-1.fc38.x86_64
                                                Module libcloudproviders.so.0 from rpm libcloudproviders-0.3.1-7.fc38.x86_64
                                                Module libatk-bridge-2.0.so.0 from rpm at-spi2-core-2.47.1-2.fc38.x86_64
                                                Module libXi.so.6 from rpm libXi-1.8-4.fc38.x86_64
                                                Module libepoxy.so.0 from rpm libepoxy-1.5.10-3.fc38.x86_64
                                                Module libatk-1.0.so.0 from rpm at-spi2-core-2.47.1-2.fc38.x86_64
                                                Module libgdk_pixbuf-2.0.so.0 from rpm gdk-pixbuf2-2.42.10-2.fc38.x86_64
                                                Module libcairo-gobject.so.2 from rpm cairo-1.17.8-1.fc38.x86_64
                                                Module libfribidi.so.0 from rpm fribidi-1.0.12-3.fc38.x86_64
                                                Module libfontconfig.so.1 from rpm fontconfig-2.14.2-1.fc38.x86_64
                                                Module libpangoft2-1.0.so.0 from rpm pango-1.50.13-1.fc38.x86_64
                                                Module libcairo.so.2 from rpm cairo-1.17.8-1.fc38.x86_64
                                                Module libharfbuzz.so.0 from rpm harfbuzz-7.0.0-2.fc38.x86_64
                                                Module libpangocairo-1.0.so.0 from rpm pango-1.50.13-1.fc38.x86_64
                                                Module libpcre2-8.so.0 from rpm pcre2-10.42-1.fc38.1.x86_64
                                                Module libffi.so.8 from rpm libffi-3.4.4-2.fc38.x86_64
                                                Module libselinux.so.1 from rpm libselinux-3.5-0.rc3.1.fc38.x86_64
                                                Module libmount.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                                                Module libz.so.1 from rpm zlib-1.2.13-3.fc38.x86_64
                                                Module libgmodule-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libX11.so.6 from rpm libX11-1.8.4-1.fc38.x86_64
                                                Module libvte-2.91.so.0 from rpm vte291-0.71.92-1.fc38.x86_64
                                                Module libuuid.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                                                Module libpango-1.0.so.0 from rpm pango-1.50.13-1.fc38.x86_64
                                                Module libgdk-3.so.0 from rpm gtk3-3.24.36-3.fc38.x86_64
                                                Module libgtk-3.so.0 from rpm gtk3-3.24.36-3.fc38.x86_64
                                                Module libglib-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libgobject-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module libgio-2.0.so.0 from rpm glib2-2.75.3-4.fc38.x86_64
                                                Module gnome-terminal-server from rpm gnome-terminal-3.46.8-1.fc38.x86_64
                                                Stack trace of thread 3843:
                                                #0  0x00007ff75fc3cb5c _cairo_recording_surface_replay_internal.lto_priv.0 (libcairo.so.2 + 0x59b5c)
                                                #1  0x00007ff75fc8af65 _cairo_ft_scaled_glyph_init.lto_priv.0 (libcairo.so.2 + 0xa7f65)
                                                #2  0x00007ff75fc46ff7 _cairo_scaled_glyph_lookup (libcairo.so.2 + 0x63ff7)
                                                #3  0x00007ff75fc52f69 composite_color_glyphs (libcairo.so.2 + 0x6ff69)
                                                #4  0x00007ff75fc54fb9 _cairo_surface_show_text_glyphs (libcairo.so.2 + 0x71fb9)
                                                #5  0x00007ff75fc0ed6a _cairo_gstate_show_text_glyphs (libcairo.so.2 + 0x2bd6a)
                                                #6  0x00007ff75fc632fe cairo_show_glyphs (libcairo.so.2 + 0x802fe)
                                                #7  0x00007ff760e661bd _ZN3vte4view14DrawingContext18draw_text_internalEPNS1_11TextRequestEmjPKNS_5color3rgbEd.constprop.0 (libvte-2.91.so.0 + 0x591bd)
                                                #8  0x00007ff760e43759 _ZN3vte8terminal8Terminal10draw_cellsEPNS_4view14DrawingContext11TextRequestEljjjbbjbbii (libvte-2.91.so.0 + 0x36759)
                                                #9  0x00007ff760e749de _ZN3vte8terminal8Terminal9draw_rowsEP9VteScreenPK13_cairo_regionlliii.isra.0 (libvte-2.91.so.0 + 0x679de)
                                                #10 0x00007ff760e48ed7 _ZL17vte_terminal_drawP10_GtkWidgetP6_cairo.lto_priv.0 (libvte-2.91.so.0 + 0x3bed7)
                                                #11 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #12 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #13 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #14 0x00007ff7606c7e3a gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0xc7e3a)
                                                #15 0x00007ff7607310a8 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x1310a8)
                                                #16 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #17 0x00007ff7606d0841 gtk_box_draw (libgtk-3.so.0 + 0xd0841)
                                                #18 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #19 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #20 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #21 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #22 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #23 0x00007ff760844da1 gtk_notebook_draw_stack (libgtk-3.so.0 + 0x244da1)
                                                #24 0x00007ff7607310a8 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x1310a8)
                                                #25 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #26 0x00007ff7606d919c gtk_box_gadget_draw (libgtk-3.so.0 + 0xd919c)
                                                #27 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #28 0x00007ff760843e2c gtk_notebook_draw (libgtk-3.so.0 + 0x243e2c)
                                                #29 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #30 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #31 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #32 0x00007ff7606c7e3a gtk_box_draw_contents.lto_priv.0 (libgtk-3.so.0 + 0xc7e3a)
                                                #33 0x00007ff7607310a8 gtk_css_custom_gadget_draw (libgtk-3.so.0 + 0x1310a8)
                                                #34 0x00007ff7607382b6 gtk_css_gadget_draw (libgtk-3.so.0 + 0x1382b6)
                                                #35 0x00007ff7606d0841 gtk_box_draw (libgtk-3.so.0 + 0xd0841)
                                                #36 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #37 0x00007ff76072cbfe gtk_container_propagate_draw (libgtk-3.so.0 + 0x12cbfe)
                                                #38 0x00007ff76072cd6c gtk_container_draw.lto_priv.0 (libgtk-3.so.0 + 0x12cd6c)
                                                #39 0x00007ff76098fdd4 gtk_widget_draw_internal (libgtk-3.so.0 + 0x38fdd4)
                                                #40 0x00007ff76099422f gtk_widget_render (libgtk-3.so.0 + 0x39422f)
                                                #41 0x00007ff76081a73a gtk_main_do_event (libgtk-3.so.0 + 0x21a73a)
                                                #42 0x00007ff76053dd17 _gdk_event_emit (libgdk-3.so.0 + 0x43d17)
                                                #43 0x00007ff760545bc9 _gdk_window_process_updates_recurse_helper.lto_priv.0 (libgdk-3.so.0 + 0x4bbc9)
                                                #44 0x00007ff76054a501 gdk_window_process_updates_internal (libgdk-3.so.0 + 0x50501)
                                                #45 0x00007ff76054a6fd gdk_window_process_updates_with_mode.lto_priv.0 (libgdk-3.so.0 + 0x506fd)
                                                #46 0x00007ff76108ad18 g_signal_emit_valist (libgobject-2.0.so.0 + 0x32d18)
                                                #47 0x00007ff76108ae03 g_signal_emit (libgobject-2.0.so.0 + 0x32e03)
                                                #48 0x00007ff760541828 gdk_frame_clock_paint_idle (libgdk-3.so.0 + 0x47828)
                                                #49 0x00007ff76052d52d gdk_threads_dispatch (libgdk-3.so.0 + 0x3352d)
                                                #50 0x00007ff760f6b079 g_timeout_dispatch (libglib-2.0.so.0 + 0x5d079)
                                                #51 0x00007ff760f6a7f8 g_main_context_dispatch (libglib-2.0.so.0 + 0x5c7f8)
                                                #52 0x00007ff760fc8f38 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaf38)
                                                #53 0x00007ff760f68183 g_main_context_iteration (libglib-2.0.so.0 + 0x5a183)
                                                #54 0x00007ff7611a030d g_application_run (libgio-2.0.so.0 + 0xe830d)
                                                #55 0x0000558b56866d67 main (gnome-terminal-server + 0x1ad67)
                                                #56 0x00007ff75fe48b4a __libc_start_call_main (libc.so.6 + 0x27b4a)
                                                #57 0x00007ff75fe48c0b __libc_start_main@@GLIBC_2.34 (libc.so.6 + 0x27c0b)
                                                #58 0x0000558b56866f05 _start (gnome-terminal-server + 0x1af05)
                                                
                                                Stack trace of thread 3892:
                                                #0  0x00007ff75ff2652d __poll (libc.so.6 + 0x10552d)
                                                #1  0x00007ff760fc8ea9 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaea9)
                                                #2  0x00007ff760f68183 g_main_context_iteration (libglib-2.0.so.0 + 0x5a183)
                                                #3  0x00007ff74cbb95c5 dconf_gdbus_worker_thread (libdconfsettings.so + 0x75c5)
                                                #4  0x00007ff760f981c3 g_thread_proxy (libglib-2.0.so.0 + 0x8a1c3)
                                                #5  0x00007ff75feadc57 start_thread (libc.so.6 + 0x8cc57)
                                                #6  0x00007ff75ff33a70 __clone3 (libc.so.6 + 0x112a70)

                                                
                                                Stack trace of thread 3892:
                                                #0  0x00007ff75ff2652d __poll (libc.so.6 + 0x10552d)
                                                #1  0x00007ff760fc8ea9 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaea9)
                                                #2  0x00007ff760f68183 g_main_context_iteration (libglib-2.0.so.0 + 0x5a183)
                                                #3  0x00007ff74cbb95c5 dconf_gdbus_worker_thread (libdconfsettings.so + 0x75c5)
                                                #4  0x00007ff760f981c3 g_thread_proxy (libglib-2.0.so.0 + 0x8a1c3)
                                                #5  0x00007ff75feadc57 start_thread (libc.so.6 + 0x8cc57)
                                                #6  0x00007ff75ff33a70 __clone3 (libc.so.6 + 0x112a70)

                                                
                                                Stack trace of thread 3872:
                                                #0  0x00007ff75ff2bd2d syscall (libc.so.6 + 0x10ad2d)
                                                #1  0x00007ff760fc1bbe g_cond_wait (libglib-2.0.so.0 + 0xb3bbe)
                                                #2  0x00007ff760f3502b g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x2702b)
                                                #3  0x00007ff760f9ccc3 g_thread_pool_spawn_thread (libglib-2.0.so.0 + 0x8ecc3)
                                                #4  0x00007ff760f981c3 g_thread_proxy (libglib-2.0.so.0 + 0x8a1c3)
                                                #5  0x00007ff75feadc57 start_thread (libc.so.6 + 0x8cc57)
                                                #6  0x00007ff75ff33a70 __clone3 (libc.so.6 + 0x112a70)
                                                
                                                Stack trace of thread 3874:
                                                #0  0x00007ff75ff2652d __poll (libc.so.6 + 0x10552d)
                                                #1  0x00007ff760fc8ea9 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaea9)
                                                #2  0x00007ff760f69eff g_main_loop_run (libglib-2.0.so.0 + 0x5beff)
                                                #3  0x00007ff7611d1f42 gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x119f42)
                                                #4  0x00007ff760f981c3 g_thread_proxy (libglib-2.0.so.0 + 0x8a1c3)
                                                #5  0x00007ff75feadc57 start_thread (libc.so.6 + 0x8cc57)
                                                #6  0x00007ff75ff33a70 __clone3 (libc.so.6 + 0x112a70)
                                                
                                                Stack trace of thread 3873:
                                                #0  0x00007ff75ff2652d __poll (libc.so.6 + 0x10552d)
                                                #1  0x00007ff760fc8ea9 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xbaea9)
                                                #2  0x00007ff760f68183 g_main_context_iteration (libglib-2.0.so.0 + 0x5a183)
                                                #3  0x00007ff760f681d9 glib_worker_main (libglib-2.0.so.0 + 0x5a1d9)
                                                #4  0x00007ff760f981c3 g_thread_proxy (libglib-2.0.so.0 + 0x8a1c3)
                                                #5  0x00007ff75feadc57 start_thread (libc.so.6 + 0x8cc57)
                                                #6  0x00007ff75ff33a70 __clone3 (libc.so.6 + 0x112a70)
                                                ELF object binary architecture: AMD x86-64
Mär 06 15:42:32 fedora systemd[1]: systemd-coredump: Deactivated successfully.
Mär 06 15:42:32 fedora audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-4316-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=>
Mär 06 15:42:32 fedora systemd[2123]: gnome-terminal-server.service: Main process exited, code=dumped, status=11/SEGV
Mär 06 15:42:32 fedora systemd[2123]: gnome-terminal-server.service: Failed with result 'core-dump'.
Mär 06 15:42:32 fedora su[4240]: pam_unix(su:session): session closed for user root
Mär 06 15:42:32 fedora audit[4240]: USER_END pid=4240 uid=0 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_umask,pam_xauth acc>
Mär 06 15:42:32 fedora audit[4240]: CRED_DISP pid=4240 uid=0 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_rootok acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev>
Mär 06 15:42:32 fedora sudo[4233]: pam_unix(sudo:session): session closed for user root
Mär 06 15:42:32 fedora audit[4233]: USER_END pid=4233 uid=1000 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_limits,pam_keyinit,pam_limits,pam_systemd,pam_un>
Mär 06 15:42:32 fedora audit[4233]: CRED_DISP pid=4233 uid=1000 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_localuser,pam_unix acct="root" exe="/usr/bin/sudo" hostname=? add>
Mär 06 15:42:32 fedora systemd[2123]: vte-spawn-551bba2e-1de2-49b8-adac-342de7d38857.scope: Consumed 17.418s CPU time.
Mär 06 15:42:32 fedora audit: BPF prog-id=88 op=UNLOAD
Mär 06 15:42:32 fedora audit: BPF prog-id=87 op=UNLOAD
Mär 06 15:42:32 fedora audit: BPF prog-id=86 op=UNLOAD
Mär 06 15:42:32 fedora abrt-notification[4372]: [🡕] Process 3843 (gnome-terminal-server) crashed in _cairo_recording_surface_replay_internal.lto_priv.0()

Comment 1 Aoife Moloney 2024-05-07 15:58:35 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Aoife Moloney 2024-05-21 14:29:29 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.